POST
Submit KYC form

Authorizations

x-api-key
string
header
required

Headers

x-tenant
string
required

Tenant identifier

Path Parameters

kycId
string
required
formId
string
required

Body

application/json
answers
object
required

A map of question IDs (UUIDs) to their corresponding answers. Each key must be a valid UUID representing a question ID from the KYC form. Each value can be:

  • A single option ID (UUID) for single-choice questions (radio buttons)
  • An array of option IDs (UUIDs) for multi-choice questions (checkboxes)
  • A native string for open-ended text questions
  • An array of { optionId, additionalInfo? } objects when at least one selected option requires additional info
Example:

Response

Success

success
boolean

Value Indicating process completion or failure, [Recommendation] Programatically check the HTTP status code to confirm the result of the operation if needed.

Example:

true